IOSS 2.0

Public Member Functions | Public Attributes | Friends | List of all members
Ioss::BoundaryCondition Struct Reference

`#include <Ioss_StructuredBlock.h>`

## Public Member Functions
| BoundaryCondition (const std::string name, const std::string fam_name, const Ioss::IJK_t range_beg, const Ioss::IJK_t range_end)
| BoundaryCondition (const std::string name, const Ioss::IJK_t range_beg, const Ioss::IJK_t range_end)
| BoundaryCondition (const BoundaryCondition &copy_from)=default
int | which_face () const
bool | is_valid () const
size_t | get_face_count () const

## Public Attributes
std::string | m_bcName
std::string | m_famName
Ioss::IJK_t | m_rangeBeg
Ioss::IJK_t | m_rangeEnd
int | m_face {-1}

## Friends
std::ostream & | operator<< (std::ostream &os, const BoundaryCondition &bc)

## Constructor & Destructor Documentation

## ◆ BoundaryCondition() [1/3]

Ioss::BoundaryCondition::BoundaryCondition | ( | const std::string | name,
|  | const std::string | fam_name,
|  | const Ioss::IJK_t | range_beg,
|  | const Ioss::IJK_t | range_end
| ) |  |
| inline

## ◆ BoundaryCondition() [2/3]

Ioss::BoundaryCondition::BoundaryCondition | ( | const std::string | name,
|  | const Ioss::IJK_t | range_beg,
|  | const Ioss::IJK_t | range_end
| ) |  |
| inline

## ◆ BoundaryCondition() [3/3]

Ioss::BoundaryCondition::BoundaryCondition | ( | const BoundaryCondition & | copy_from | ) |
| default

## Member Function Documentation

## ◆ get_face_count()

size_t Ioss::BoundaryCondition::get_face_count | ( |  | ) | const

## ◆ is_valid()

bool Ioss::BoundaryCondition::is_valid | ( |  | ) | const

## ◆ which_face()

int Ioss::BoundaryCondition::which_face | ( |  | ) | const

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const BoundaryCondition & | bc
| ) |  |
| friend

## Member Data Documentation

## ◆ m_bcName

std::string Ioss::BoundaryCondition::m_bcName

## ◆ m_face

int Ioss::BoundaryCondition::m_face {-1}
| mutable

## ◆ m_famName

std::string Ioss::BoundaryCondition::m_famName

## ◆ m_rangeBeg

Ioss::IJK_t Ioss::BoundaryCondition::m_rangeBeg

## ◆ m_rangeEnd

Ioss::IJK_t Ioss::BoundaryCondition::m_rangeEnd

The documentation for this struct was generated from the following files:

- src/Ioss_StructuredBlock.h
- src/Ioss_StructuredBlock.C